dbXML API

## org.dbxml.client.xmldb
Class CommonConfigurable

    java.lang.Object
      |
      +--org.dbxml.client.xmldb.CommonConfigurable

All Implemented Interfaces:
  Configurable

Direct Known Subclasses:
  CollectionImpl, CollectionManager, DatabaseImpl, DatabaseInstanceManager, XMLObjectService, XPathQueryServiceImpl, XUpdateQueryServiceImpl

public abstract class CommonConfigurable
extends java.lang.Object
implements Configurable

Base class to handle property managment within the API implementation.

Constructor Summary
`CommonConfigurable()` Constructor for the CommonConfigurable object

Method Summary
`java.lang.String` `getProperty(java.lang.String name)` Gets the Property associated with name
`void` `setProperty(java.lang.String name, java.lang.String value)` Sets a property value.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommonConfigurable

    public CommonConfigurable()

  Constructor for the CommonConfigurable object

Method Detail

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.String value)
                     throws XMLDBException

  Sets a property value. If the property doesn't exist it is created, if it does exist it is overwritten.
  Specified by:
    `setProperty` in interface `Configurable`
  Parameters:
    `name` - The Property name
    `value` - The new Property value
  Throws:
    `XMLDBException` -

### getProperty

    public java.lang.String getProperty(java.lang.String name)
                                 throws XMLDBException

  Gets the Property associated with name
  Specified by:
    `getProperty` in interface `Configurable`
  Parameters:
    `name` - The name of the property to retrieve.
  Returns:
    The Property value
  Throws:
    `XMLDBException` -

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved